## python-janus 0.4.0

=== Makefile ===
develop:
	python setup.py develop

flake:
	flake8 janus tests

test: flake develop
	py.test tests

vtest: flake develop
	py.test -v tests

yapf:
	yapf -ri janus tests setup.py

cov: flake develop
	py.test --cov=janus --cov=tests --cov-report=term --cov-report=html
	@echo "open file://`pwd`/htmlcov/index.html"

=== debian/changelog ===
python-janus (0.4.0-2) unstable; urgency=medium

  * update debhelper;
    build-depend on debhelper-compat dh-sequence-python3
    (not debhelper dh-python)
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Feb 2020 13:05:36 +0100

python-janus (0.4.0-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#945752.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2019 03:19:48 +0100

=== debian/control ===
Source: python-janus
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-python3,
 python3,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/aio-libs/janus
Vcs-Git: https://salsa.debian.org/debian/python-janus.git
Vcs-Browser: https://salsa.debian.org/debian/python-janus
Rules-Requires-Root: no

Package: python3-janus
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: thread-safe asyncio-aware queue for Python
 Mixed sync-async queue,
 supposed to be used for communicating
 between classic synchronous (threaded) code
 and asynchronous (in terms of asyncio) one.
 .
 Like Janus god,
 the queue object from the library has two faces:
 synchronous and asynchronous interface.
 .
 Synchronous is fully compatible with standard queue,
 asynchronous one follows asyncio queue design.

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS = -O--buildsystem=pybuild

%:
	dh $@ $(DH_OPTIONS:-O%=%)

## python-janus 1.0.0

=== Makefile ===
develop:
	python setup.py develop

lint flake: checkrst  pyroma bandit mypy
	flake8 janus tests

test: flake develop
	pytest tests

vtest: flake develop
	pytest -v tests

fmt:
	isort -rc janus tests setup.py
	black janus tests setup.py

cov: flake develop
	pytest --cov=janus --cov=tests --cov-report=term --cov-report=html
	@echo "open file://`pwd`/htmlcov/index.html"

checkrst:
	python setup.py check --restructuredtext

pyroma:
	pyroma -d .

bandit:
	bandit -r ./janus

mypy:
	mypy janus --disallow-untyped-calls --disallow-incomplete-defs --strict

=== debian/changelog ===
python-janus (1.0.0-2) unstable; urgency=medium

  * set Testsuite: autopkgtest-pkg-pybuild
  * build-depend on pybuild-plugin-pyproject
  * tighten copyright file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Dec 2022 10:48:25 +0100

python-janus (1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Dec 2021 14:35:11 +0100

python-janus (0.7.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on python3-typing-extensions
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Nov 2021 14:28:41 +0100

python-janus (0.6.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Nov 2021 16:10:52 +0100

python-janus (0.6.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on python3-pytest-asyncio
  * rules:
    + fix export DH_OPTIONS (not declare them twice)
    + declare buildsystem explicitly (not in environment)
  * copyright: update coverage
  * use debhelper compatibility level 13 (not 12)
  * simplify source script copyright-check
  * tighten build-dependency on python3-pytest

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 11:22:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,20 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
- python3-pytest <!nocheck>,
+ python3-pytest (>= 5.4) <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.0
+ python3-typing-extensions <!nocheck>,
+Standards-Version: 4.6.0
 Homepage: https://github.com/aio-libs/janus
 Vcs-Git: https://salsa.debian.org/debian/python-janus.git
 Vcs-Browser: https://salsa.debian.org/debian/python-janus
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-janus
 Architecture: all

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/aio-libs/janus/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-janus 2.0.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 cov: flake develop
 	pytest --cov=janus --cov=tests --cov-report=term --cov-report=html
-	@echo "open file://`pwd`/htmlcov/index.html"
+	@echo "open file://`pwd`/coverage/index.html"
 
 checkrst:
 	python setup.py check --restructuredtext
@@ -28,4 +28,4 @@
 	bandit -r ./janus
 
 mypy:
-	mypy janus --disallow-untyped-calls --disallow-incomplete-defs --strict
+	mypy janus --strict

=== debian/changelog ===
python-janus (2.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 30 Jul 2025 15:59:43 +0100

python-janus (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1108999)

 -- Edward Betts <edward@4angle.com>  Wed, 09 Jul 2025 11:20:07 +0200

=== debian/control ===
Source: python-janus
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/aio-libs/janus
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-janus
Vcs-Git: https://salsa.debian.org/python-team/packages/python-janus.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-janus
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Mixed sync/async queue for communication between threads and asyncio tasks
 Janus provides a queue with both synchronous and asynchronous interfaces,
 enabling communication between threads and asyncio-based code. It supports
 Queue, LifoQueue, and PriorityQueue, each usable from both sync and async
 contexts. Queues must be properly closed to avoid asyncio warnings. Janus is
 best suited for mixed sync/async use; native queues may be faster for
 single-mode cases.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/test_benchmarks.py
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/aio-libs/janus/tags .*/v?(\d\S+)\.tar\.gz
